Subject: bug#20685: closed (Re: bug#20685: 2015-04-19; args-out-of-range error when no newline at eob.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 29 May 2015 06:03:03 +0000

Your bug report

#20685: 2015-04-19; args-out-of-range error when no newline at eob.

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20685: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20685
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20685: 2015-04-19; args-out-of-range error when no newline at eob.
From: Tassilo Horn <[email-masked]>
To: Nicolas Richard <[email-masked]>
Cc: [email-masked]
Date: Fri, 29 May 2015 08:02:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Nicolas Richard <[email-masked]> writes:

Hi Nicolas,

> I suggest the following change:
>
> modified   latex.el
> @@ -4475,10 +4475,7 @@ If COUNT is non-nil, do it COUNT times."
>  						"[@A-Za-z]+\\|[ \t]*\\($\\|"
>  						TeX-comment-start-regexp "\\)"))
>  			    (progn
> -			      (when (string= (buffer-substring-no-properties
> -					      (point) (+ (point)
> -							 (length TeX-esc)))
> -					     TeX-esc)
> +			      (when (looking-at (regexp-quote TeX-esc))
>  				(goto-char (TeX-find-macro-end)))
>  			      (forward-line 1)
>  			      (when (< (point) start)

-4 lines +1 line.  Sounds very good.  Applied. ;-)

Oh, I made that commit and ChangeLog entry with your email address you
are using right now, not the evil look thingy.  Could you please
register your FSF member address with [email-masked] so that they add it
to your CA record and nobody gets confused?

Bye,
Tassilo

Subject: 2015-04-19; args-out-of-range error when no newline at eob.
From: Nicolas Richard <[email-masked]>
To: [email-masked]
Date: Thu, 28 May 2015 20:42:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

This one often bites me when I'm in a narrowed buffer.

Here's a backtrace from a minimal recipe (which is in the backtrace).

Debugger entered--Lisp error: (args-out-of-range #<buffer temp> 57 58)
  buffer-substring-no-properties(57 58)
  LaTeX-backward-paragraph()
  LaTeX-fill-region(41 57 nil " environment document")
  LaTeX-fill-environment(nil)
  call-interactively(LaTeX-fill-environment)
  (let ((data "\\documentclass{minimal}\n\\begin{document}\n\n\\end{document}")) (switch-to-buffer (get-buffer-create "temp")) (TeX-latex-mode) (insert data) (search-backward "\n\n") (call-interactively (quote LaTeX-fill-environment)))
  eval-buffer(#<buffer  *load*> nil "/home/youngfrog/tmp-test-auctex-filling.el" nil t)  ; Reading at buffer position 319
  load-with-code-conversion("/home/youngfrog/tmp-test-auctex-filling.el" "/home/youngfrog/tmp-test-auctex-filling.el" nil t)
  load("/home/youngfrog/tmp-test-auctex-filling.el" nil t)
  command-line-1(("-l" "/home/youngfrog/tmp-test-auctex-filling.el"))
  command-line()
  normal-top-level()

I suggest the following change:

--8<---------------cut here---------------start------------->8---
modified   latex.el
@@ -4475,10 +4475,7 @@ If COUNT is non-nil, do it COUNT times."
 						"[@A-Za-z]+\\|[ \t]*\\($\\|"
 						TeX-comment-start-regexp "\\)"))
 			    (progn
-			      (when (string= (buffer-substring-no-properties
-					      (point) (+ (point)
-							 (length TeX-esc)))
-					     TeX-esc)
+			      (when (looking-at (regexp-quote TeX-esc))
 				(goto-char (TeX-find-macro-end)))
 			      (forward-line 1)
 			      (when (< (point) start)
--8<---------------cut here---------------end--------------->8---